Skip to main content
GET
List test profiles

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Query Parameters

page
integer

Page number.

Required range: x >= 1
page_size
integer

Profiles per page. Defaults to 30 and is capped at 200.

Required range: 1 <= x <= 200
agent_id
integer

ID of the agent. Either agent_id or project_id must be provided.

project_id
integer

ID of the project. Either agent_id or project_id must be provided.

Filter test profiles by name or exact numeric ID.

Minimum string length: 1
ids
string

Comma-separated test profile IDs to return.

Minimum string length: 1

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=4"

previous
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=3"